SFML 2.5.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
sf::Joystick::Identification Struct Reference

Structure holding a joystick's identification. More...

`#include <Joystick.hpp>`

## Public Attributes

String | name
| Name of the joystick. More...
unsigned int | vendorId
| Manufacturer identifier. More...
unsigned int | productId
| Product identifier. More...

## Detailed Description

Structure holding a joystick's identification.

Definition at line 76 of file Joystick.hpp.

## Member Data Documentation

## ◆ name

String sf::Joystick::Identification::name

Name of the joystick.

Definition at line 80 of file Joystick.hpp.

## ◆ productId

unsigned int sf::Joystick::Identification::productId

Product identifier.

Definition at line 82 of file Joystick.hpp.

## ◆ vendorId

unsigned int sf::Joystick::Identification::vendorId

Manufacturer identifier.

Definition at line 81 of file Joystick.hpp.

The documentation for this struct was generated from the following file:

- Joystick.hpp